
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Python学习笔记&lt;二&gt;：列表、元组、字典 / 憋错料</title>

    <meta name="description" content="Python学习笔记&lt;二&gt;：列表、元组、字典 1 列表和元组 可以将列表和元组当成普通的&quot;数组&quot;,它能保存任意数量任意类型的Python 对象.和数组一样,通过从0 开始的数字索引访问元素,但是列表和元组可以存储不同类型的对象. 列表和元组有几处重要的区别.列表元素用中括号( [ ])包裹,元素的个数及元素的值可以改变.元组元素用小括号(( ))包裹,不可以更改(尽管他们的内容可以).元组可以看成是只读的列表.通过切片运算( [ ] 和 [ : ] )可以得到子集,这一点与字符串的使用方法一样. 举例如下: &gt;&g ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Python学习笔记&lt;二&gt;：列表、元组、字典</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>1 列表和元组</h1>
<h2>可以将列表和元组当成普通的“数组”，它能保存任意数量任意类型的Python 对象。和数组一样，通过从0 开始的数字索引访问元素，但是列表和元组可以存储不同类型的对象。</h2>
<h2>列表和元组有几处重要的区别。列表元素用中括号( [ ])包裹，元素的个数及元素的&#20540;可以改变。元组元素用小括号(( ))包裹，不可以更改（尽管他们的内容可以）。元组可以看成是只读的列表。通过切片运算( [ ] 和 [ : ] )可以得到子集，这一点与字符串的使用方法一样。</h2>
<h2>举例如下：</h2>
<h2>&gt;&gt;&gt; aList = [1, 2, 3, 4]</p>
<p>&gt;&gt;&gt; aList</p>
<p>[1, 2, 3, 4]</p>
<p>&gt;&gt;&gt; aList[0]</p>
<p>1</p>
<p>&gt;&gt;&gt; aList[2:]</p>
<p>[3, 4]</p>
<p>&gt;&gt;&gt; aList[:3]</p>
<p>[1, 2, 3]</p>
<p>&gt;&gt;&gt; aList[1] = 5</p>
<p>&gt;&gt;&gt; aList</p>
<p>[1, 5, 3, 4]</h2>
<h2>元组也可以进行切片运算，得到的结果也是元组（不能被修改）：</p>
<p>&gt;&gt;&gt; aTuple = (‘robots‘, 77, 93, ‘try‘)</p>
<p>&gt;&gt;&gt; aTuple</p>
<p>(‘robots‘, 77, 93, ‘try‘)</p>
<p>&gt;&gt;&gt; aTuple[:3]</p>
<p>(‘robots‘, 77, 93)</p>
<p>&gt;&gt;&gt; aTuple[1] = 5</p>
<p>Traceback (innermost last):</p>
<p>File &quot;&lt;stdin&gt;&quot;, line 1, in ?</p>
<p>TypeError: object doesn‘t support item assignment</h2>
<h1>2.字典</h1>
<h2>字典是Python 中的映射数据类型，工作原理类&#20284;其他语言中的关联数组或者哈希表，由键-&#20540;(key-value)对构成。几乎所有类型的Python 对象都可以用作键，不过一般还是以数字或者字符串最为常用。&#20540;可以是任意类型的Python 对象，字典元素用大括号({ })包裹。</p>
<p>&gt;&gt;&gt; aDict = {‘host‘: ‘earth‘} # create dict</p>
<p>&gt;&gt;&gt; aDict[‘port‘] = 80 # add to dict</p>
<p>&gt;&gt;&gt; aDict</p>
<p>{‘host‘: ‘earth‘, ‘port‘: 80}</p>
<p>&gt;&gt;&gt; aDict.keys()</p>
<p>[‘host‘, ‘port‘]</p>
<p>&gt;&gt;&gt; aDict[‘host‘]</p>
<p>‘earth‘</p>
<p>&gt;&gt;&gt; for key in aDict:</p>
<p>... print key, aDict[key]</p>
<p>...</p>
<p>host earth</p>
<p>port 80</h2>
<p>&#65279;&#65279;</p>
<p><P>Python学习笔记&lt;二&gt;：列表、元组、字典</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 10:17:34 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/python/" title="python">python</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Python学习笔记&lt;二&gt;：列表、元组、字典的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVqbrQ4.html" rel="bookmark">python学习笔记之列表、元组、字典（1）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.最基本的数据结构:序列 a.任何序列都是从 0 序列号(也成为索引)开始的: 如下:第一个元素是‘H’ &gt;&gt;&gt; a = 'Hello'&gt;&gt;&gt; a[0]'H' b.序列的操作: 分片:a[1:5]  #表示从第2个元素到第6个元素,但不包括第6个元素 a[-3:-1] #表示从倒数第3个元素到倒数第一个元素,但不包括倒数第一个元素 a[-3:]   #表示从倒数第三个元素到最后一个元素,可以取到最后一个元素 a[:]  #表示a的全部元素 a[1:9:2]  #表示从			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLQbmA0.html" rel="bookmark">python 学习笔记 二 序列&comma; 列表&comma; 元组&comma; 字符串</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				序列 序类是一个集合概念, Pthon包括六种内建序列: 列表, 元组, 字符串, Unicode字符串, buffer对象和xrange对象. 其中, 我们最长用的要数前三个. 通用序列操作 1. 索引(indexing) 序列的所有元素都是有编号的(从0开始...), 这些元素可以通过编号访问, 如: &gt;&gt;&gt; greeting = 'Hello' &gt;&gt;&gt; greeting[0] 'H' 使用负数索引(从-1开始...)是从右边开始的: &gt;&gt;&gt; gr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0Ky8b94.html" rel="bookmark">python学习笔记（列表、元组、购物车实例）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.列表 列表和字典是最常用的两种数据类型 1. 需求:怎么存放班级80多人的姓名,如何实现? names = [&quot;Zhangyang&quot;,&quot;Guyun&quot;,&quot;Xiangpeng&quot;,&quot;Xuliangchen&quot;] print(names[0],names[2]) #取出 Zhangyang Xiangpeng print(names[2:4]) #切片,取出&quot;Xiangpeng&quot;,&quot;Xuliangche			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35zmaR4.html" rel="bookmark">Python学习笔记&lpar;1&rpar;-列表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				列表是什么? 列表由一系列按特定顺序排列的元素组成.列表看起来像这样:[1,2,3,4,1].在列表中,可以由零个或多个元素组成,元素之间用逗号分开,具有相同值元素允许出现多次 使用[ ]或list()创建列表 例如创建一个空列表 empty_list = [ ]或者 empty_list = list() 使用list()将其他数据类型转换成列表 字符串列表: &gt;&gt;&gt; list('cat') ['c', 'a', 't'] 元组列表: &gt;&gt;&gt; num = (1,2,3			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/kMLJvE3.html" rel="bookmark">python学习笔记二：if语句及循环语句，断点，模块，pyc</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				if语句 注意:语句块中的内容要强制缩进,否则出错.IndentationError,缩进错误 所有代码,如果是顶级的,必须顶格写,前面不能有空格 if - : - elif - : - else: - while语句 while -: - else: - for语句 for i in range(10)--i默认0,步长默认1,最大为9 for i in range (0,2,10)--从0开始,步长为2,最大为8 for  i   in range(-): - else: - break--			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wDreb4.html" rel="bookmark">Python学习笔记2&lowbar;列表简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.1   列表是什么 在Python中,用方括号([])来表示列表,并用逗号来分隔其中的元素. 列表是有序集合,因此要访问列表的任何元素,只需将该元素的位置或索引告诉Python即可.Python为访问最后一个列表元素提供了一种特殊语法.通过将索引指定为-1,可让Python返回最后一个列表元素: bicycles = ['trek', 'cannondale', 'redline', 'specialized'] print(bicycles) print(bicycles[0]) prin			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41avnk4.html" rel="bookmark">python学习笔记2&mdash;&mdash;列表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.列表简介 列表 由一系列按特定顺序排列的元素组成. 你可以创建包含字母表中所有字母. 数字0~9或所有家庭成员姓名的列表: 也可以将任何东西加入列表中, 其中的元素之间可以没有任何关系. 鉴于列表通常包含多个元素, 给列表指定一个表示复数的名称(如letters . digits 或names ) 是个不错的主意. 在Python中, 用方括号([] ) 来表示列表, 并用逗号来分隔其中的元素. 下面是一个简单的列表示例, 这个列表包含几种自行车:  bicycles = ['trek',			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lWGeNM.html" rel="bookmark">python学习笔记之列表、元组、字典（2）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.字典 a.字典可以理解为一种映射,就是一种对应关系,叫键-值对应,如键:name 对应值:sola ,字典为:{name:sola} 同样的,像序列,元组那样,字典也有其生成函数dict 如下: &gt;&gt;&gt; a = [('name','sola'),('phonenum','123456')]&gt;&gt;&gt; b = dict(a)&gt;&gt;&gt; b{'phonenum': '123456', 'name': 'sola'} &gt;&gt;&gt; b['name']			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41nmaoM.html" rel="bookmark">python学习笔记&lpar;四&rpar;列表、元组、字符串及字典</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.列表及元组操作 1.1 列表 Python内置的一种数据类型是列表:list.list是一种有序的集合,可以随时添加和删除其中的元素. 定义列表: 1 &gt;&gt;&gt; namelist = ['cc','uu','tt','yy','nn'] 变量namelist就是一个list.用len()函数可以获得list元素的个数: 1 &gt;&gt;&gt; print(len(namelist)) 1.1.1 list取值 用索引来访问list中每一个位置的元素,记得索引是从0开始的: 1 &			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/bMo5BQ3.html" rel="bookmark" class="title">一个字符串&comma;不用循环&comma;不用递归&comma;求长度</a>
					<div>
						/* 法一:传入长度做参数 */ int strlen_x(const char * pstr,int &amp;len) { char * pTemp = (char*)pstr; if (*pst ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/bMoZLx4.html" rel="bookmark" class="title">全球最新独角兽榜单出炉 中国公司33家上榜&excl;</a>
					<div>
						全球最新独角兽榜单出炉 中国公司33家上榜! 华股财经2016-09-09 13:39:24阅读(1893)评论(0) 声明:本文由入驻搜狐公众平台的作者撰写,除搜狐官方账号外,观点仅代表作者本人,不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/w3vnVL3.html" rel="bookmark" class="title">Linux装机简介</a>
					<div>
						Linux装机简介     安装linux并不复杂,大致有一下几个步骤: 1.采用光驱进行安装系统,一般情况下需进入BOIS系统,选择光驱开机,并将所需的系统盘放入    光驱: 2.在启动安装的画面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0eGEp4.html" rel="bookmark" class="title">aaaaaaaaaaaaaaaaaaaaaaa</a>
					<div>
						下载制作完成的虚拟机镜像 wget http://192.168.1.1/vps.img -P /etc/xen/  建立配置文件: # vim  /etc/xen/vps name = &quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NJqAV4.html" rel="bookmark" class="title">iOS字符串处理&lowbar;替换&lpar;去掉空格换行&rpar;、截取</a>
					<div>
						以下代码主要实现了:1.截取&quot;@@&quot;前的字符串:  2.去掉字符串中的&quot;##&quot;:  3.去掉字符串中的空格和换行. 希望相互学习相互指正. -----ViewC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEoRLK3.html" rel="bookmark" class="title">黑马程序员---C基础2【运算符】</a>
					<div>
						------Java培训.Android培训.iOS培训..Net培训.期待与您交流! ------- [运算符] 1.运算符: 链接两个操作数的符号. 分类: 1)功能划分  算数运算符:+.—.* ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWypdr3.html" rel="bookmark" class="title">HTML5 画布上的 Three&period;js 环境灯光（HTML5 Canvas Three&period;js Ambient Lighting）</a>
					<div>
						太阳火神的美丽人生 (http://blog.csdn.net/opengl_es) 本文遵循&quot;署名-非商业用途-保持一致&quot;创作公用协议 转载请保留此句:太阳火神的美丽人生 -   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KyDbO4.html" rel="bookmark" class="title">ipv6网络管理</a>
					<div>
						##############ipv6############## cd /etc/sysconfig/network-scripts vim ifcfg-eth0 1 DEVICE=eth0 2 ON ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoYoGB3.html" rel="bookmark" class="title">CIImage与二维码图片生成</a>
					<div>
						代码: #import &quot;ViewController.h&quot; #import &lt;CoreImage/CoreImage.h&gt; @implementation ViewC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mg5DaK3.html" rel="bookmark" class="title">查询出成绩不小于80的人的姓名</a>
					<div>
						sql表结构如下 username  corse score  1 math 87  1 english 70  2 math 72  2 chinese 90  3 math 90  3   eng ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgPokr0.html" rel="bookmark" class="title">使用TextView和Textedit</a>
					<div>
						1.TextView  res/layout 中设置布局文件 hint属性:提示输入信息text属性:与hint的区别---hint仅仅是提示:text是实际的内容讲布局xml文件引入到activit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JYNDl3.html" rel="bookmark" class="title">关于1月4日到1月7日</a>
					<div>
						4号:上午睡觉,下午两个班ACM比赛.因此没做其他神马 5号:准备C++答辩和帮x哥写C# 6号:上午C++答辩,被批惨了,希望老师不要挂我:下午写C#:晚上无聊弄了会Vim 7号:上午睡觉,下午发呆 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXna6V3.html" rel="bookmark" class="title">移动客服将成为新一代客服霸主？</a>
					<div>
						随着中国互联网的快速发展,面向个人消费领域的移动互联网服务竞争激烈,尤其是以BAT为代表的互联网企业凭借其技术.资源以及用户等方面的优势在多个领域实现垄断. 中国移动客服企业从2014年才逐渐兴起,而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDrZEn3.html" rel="bookmark" class="title">C&plus;&plus;学习笔记01</a>
					<div>
						C++函数: C函数潜规则: 1.默认返回int类型 2.空参数表示参数个数随意 C++以上两点作废 重载/形参/实参/哑元 哑元: sort(int a[],int n,int method)-&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pP6AP4.html" rel="bookmark" class="title">winform的DBhelper</a>
					<div>
						using System;using System.Collections.Generic;using System.Linq;using System.Text;using System.Threa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWqxrl3.html" rel="bookmark" class="title">火星人的真实故事（2）</a>
					<div>
						1993年3月15日,北大火星人电信工程公司成立了. 在1992年这一年里,火星人炼&quot;内功&quot;,开发出具有&quot;断点续发&quot;功能的数据传输软件(基于Zmodem通讯协议 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Kv9LjM.html" rel="bookmark" class="title">WCF配置与服务寄宿</a>
					<div>
						1.项目框架如下: 2.WCF服务项目 其中WCFService中存放服务契约及其实现,需添加命名空间:System.ServiceModel 3.服务寄宿 WCFHost是一个控制台程序,用于寄宿W ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXlP2aM.html" rel="bookmark" class="title">添加远程链接MySQL的权限</a>
					<div>
						mysql&gt; grant 权限1,权限2,…权限n on 数据库名称.表名称 to 用户名@用户地址 identified by ‘连接口令’; 权限1,权限2,…权限n代表select,ins ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41wNGG0.html" rel="bookmark" class="title">BZOJ 1706 usaco2007 Nov relays 奶牛接力跑 倍增Floyd</a>
					<div>
						题目大意:给定一张无向图,求从s出发恰好经过n条边到达e的最短路 倍增Floyd--为何大家都管这个叫做矩阵乘法- - 算了为何要纠结这种事- - 令f[p][i][j]表示走2^p步从i到达j的最短 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JjZGD4.html" rel="bookmark" class="title">小程序笔记（持续更新）</a>
					<div>
						创建页面 1.微信小程序中的每一个页面的[路径+页面名]都需要写在 app.json 的 pages 中,且 pages 中的第一个页面是小程序的首页. 2.每一个小程序页面是由同路径下面的四个不同后 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
